<?php
//ini_set('error_reporting', E_ALL);
ini_set('error_reporting', E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);

session_start();

#smarty
require '_php/smarty/libs/Smarty.class.php';

#realpath of www directory
$www_path = str_replace("\\", '/', realpath("../"));
//$xml_path = $www_path;
//$xml_dest = '../incoming/ftp_rep.xml';

#smarty settings
$smarty = new Smarty;

$smarty->compile_check = true;
$smarty->debugging = false;

$smarty->compile_dir = "_cache/";
$smarty->template_dir = "_templates/";

include("_config/config.inc.php");
include("_config/obconfig.inc.php");
include("_lang/lang.inc.php");
include("_include/connect.inc.php");
include("_include/functions.inc.php");
include("_include/extranet_data.inc.php");
include("_include/GoogleMapAPI.class.php");
//include("_lang/" . $LANGUAGE_ID . "/" . "labels.inc.php");

$smarty->assign('LNK_LICENCE', link_exec_licence($TIME_MINUTE));
$smarty->assign('ACTIVATE_SKYPE', get_option("ACTIVATE_SKYPE"));

#authentification
require("_include/auth.inc.php");
include("_include/first_level_dirs.inc.php");

$SMARTY_PATH = calculate_smarty_path();
$smarty->assign('PATH', $SMARTY_PATH);

#all directory paths
$smarty->assign('results_paths', $results_paths);

#path
$path = "";
$parent_id = 0;

$smarty->assign("URL_EXTRANET",$ext_name_enc);
#if given path
if ($_POST["path"]){
  $path = $_POST["path"];
  $smarty->assign("URL_PATH",$path);
  parse_path($_POST["path"], $ext_id);
//	echo "Parent ID: $parent_id<br>Parent name: $parent_name<br>Selected directory id: $sel_dir_id<br>Document id: $doc_id<br>Document name: $doc_name";
}
else if ($_GET["path"]){
  $path = $_GET["path"];
  $smarty->assign("URL_PATH",$path);
  parse_path($_GET["path"], $ext_id);
};

#assign path
$smarty->assign('php_path', $path);

#domain name
$smarty->assign('site_root', $SITE_ROOT);

#assign extranet id, name, title
$smarty->assign('ext_title', $ext_title);
$smarty->assign('ext_name', $ext_name);
$smarty->assign('ext_id', $ext_id);
$smarty->assign('ext_name_enc', $ext_name_enc);

#assign config variables
$smarty->assign('ACTIVATE_PROFIL', get_option("activate_profil"));
if(get_option("activate_profil") == 1)
{	
	$smarty->assign('profil_list', profil_list());
}
			
#assign user rights  variable
$smarty->assign('user_comments_config', $USER_COMMENTS);
$smarty->assign('user_add_doc_config', $USER_ADD_DOC);

#Auth MU ???
$AUTH_MU = false;
if ($ACTIVE_MU == true)
{
	if (($_SESSION['rights'] == 'super_admin') || ($_SESSION['rights'] == 'limited_admin'))
	{
		$AUTH_MU = true;
	}
	else
	{
		if ($_SESSION['user_add_doc_right'] == "1")
		{
			$AUTH_MU = true;
		}
	}
}
$smarty->assign('AUTH_MU', $AUTH_MU);

#user id
$smarty->assign('user_id',$_SESSION["user_id"]);
?>